# 2D/3D Registration with Digitally Reconstructed Topograms

This project provides a framework for 2D/3D registration using Digitally Reconstructed Topogram (DRT) images, which are generated from 3D CT volumes using a modified version of the Siddon-Jacobs ray casting algorithm.

In addition to DRT generation, the framework extends [ITKTwoProjectionRegistration](https://github.com/InsightSoftwareConsortium/ITKTwoProjectionRegistration) in several key areas, including:

- Compliance with IEC 61217  
- Revised and consistent reference coordinate systems  
- This project provides a framework for 2D/3D registration using Digitally Reconstructed Topograms (DRTs), which are generated from 3D CT volumes using a modified version of the Siddon-Jacobs RayCast algorithm. See the [`siddonTril` branch](https://gitea.psi.ch/fattori_g/reg23Topograms/src/branch/siddonTril) for implementation details.

## Requirements

Work in progress — requirements and example code to be added.

## Citation

If you use this code or method in your research, please cite the following paper:

> **Giovanni Fattori, Riccardo Via, et al.**  
> *Topogram and 3DCT geometry calibration for image-guided proton therapy with in-room CT-on-rails*  
> *Physics and Imaging in Radiation Oncology*, 2025.  
> [https://doi.org/10.1016/j.phro.2025.100799](https://doi.org/10.1016/j.phro.2025.100799)

<details>
<summary>BibTeX</summary>

```bibtex
@article{Fattori2025,
  author  = {Giovanni Fattori and Riccardo Via and others},
  title   = {Topogram and 3DCT geometry calibration for image-guided proton therapy with in-room CT-on-rails},
  journal = {Physics and Imaging in Radiation Oncology},
  year    = {2025},
  doi     = {10.1016/j.phro.2025.100799}
}
```

</details>

## Requirements

Work in progress — requirements and example code to be added.

## Contributors

- Giovanni Fattori  
- Riccardo Via  
- Reto Ansorge